package com.gree.mall.miniapp.commonmapper.workorder;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.gree.mall.miniapp.bean.workorder.CountOrderStatusBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface OrderBaseCMapper {

    /**
     * 工单状态统计
     * @return
     */
    @SqlParser(filter = true)
    public CountOrderStatusBean countOrderStatus(
            @Param("workerId") String workerId,
            @Param("pgIncreOrderId") String pgIncreOrderId,
            @Param("isYb") Boolean isYb,
            @Param("isWb") Boolean isWb,
            @Param("companyWechatId") String companyWechatId
    );

    CountOrderStatusBean countPartsApply(@Param("userId") String userId);
}
